//風船が割れた(破棄された)時に、爆発のパーティクルをインスタンス化するスクリプト
//風船のオブジェクトに付加して使用する

//プロパティ
var prefab : GameObject;	//爆発のパーティクルのプレハブ

//内部で使用する変数
private var isApplicationQuit : boolean = false;    //アプリケーション(ゲーム)が終了されたかどうか

//ゲームオブジェクトが破棄されたときに呼ばれる
//爆発のプレハブのインスタンス化
function OnDestroy() {
    //ゲームが終了していない場合のみプレハブをインスタンス化する
    if( !isApplicationQuit ){
        GameObject.Instantiate( prefab, transform.position, Quaternion.identity );  //プレハブをインスタンス化する
    }

}

//アプリケーション(ゲーム)が終了したときに呼ばれる
function OnApplicationQuit(){
    isApplicationQuit = true;   //ゲームが終了したことを変数に代入する
}